Perform various operations for Symitar parameters.
Operations
getSymXGeneral
Retrieve SymXGeneral parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
SymXGeneralInstanceIdintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getSymXGeneralPOST /nexum/627/2022.01/parameter/getSymXGeneral HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SymXGeneralInstanceId": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getSymXGeneralSelectFields
Retrieve SymXGeneral parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
SymXGeneralInstanceIdintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getSymXGeneralSelectFieldsPOST /nexum/627/2022.01/parameter/getSymXGeneralSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"SelectableFields": {
"IncludeAllSymXGeneralFields": true
}
}getSymXGeneralPagedList
Retrieve SymXGeneral parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getSymXGeneralPagedListPOST /nexum/627/2022.01/parameter/getSymXGeneralPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getSymXGeneralListSelectFields
Retrieve SymXGeneral parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getSymXGeneralListSelectFieldsPOST /nexum/627/2022.01/parameter/getSymXGeneralListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"SelectableFields": {
"IncludeAllSymXGeneralFields": true
}
}searchSymXGeneralSelectFields
Search SymXGeneral parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/searchSymXGeneralSelectFieldsPOST /nexum/627/2022.01/parameter/searchSymXGeneralSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllSymXGeneralFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getSymXGeneralPagedListSelectFields
Retrieve SymXGeneral parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getSymXGeneralPagedListSelectFieldsPOST /nexum/627/2022.01/parameter/getSymXGeneralPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllSymXGeneralFields": true
}
}searchSymXGeneralPagedSelectFields
Search SymXGeneral parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
QuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/searchSymXGeneralPagedSelectFieldsPOST /nexum/627/2022.01/parameter/searchSymXGeneralPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"Query": "string",
"SelectableFields": {
"IncludeAllSymXGeneralFields": true
}
}updateSymXGeneralByID
Update SymXGeneral parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
SymXGeneralInstanceIdintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/updateSymXGeneralByIDPOST /nexum/627/2022.01/parameter/updateSymXGeneralByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SymXGeneralInstanceId": 0,
"SymXGeneralUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}